#
# spec file for package python-aioeventlet
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-aioeventlet
Version:        0.4
Release:        lp150.1.3
Summary:        asyncio event loop scheduling callbacks in eventlet
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            http://aioeventlet.readthedocs.org/
Source:         https://pypi.python.org/packages/source/a/aioeventlet/aioeventlet-%{version}.tar.gz
BuildRequires:  python-devel
Requires:       python-eventlet
Requires:       python-trollius >= 0.3
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
aioeventlet implements the asyncio API (PEP 3156) on top of eventlet. It makes
possible to write asyncio code in a project currently written for eventlet.

aioeventlet allows to use greenthreads in asyncio coroutines, and to use
asyncio coroutines, tasks and futures in greenthreads: see ``link_future()``
and ``wrap_greenthread()`` functions.

The main visible difference between aioeventlet and trollius is the behaviour
of ``run_forever()``: ``run_forever()`` blocks with trollius, whereas it runs
in a greenthread with aioeventlet. It means that aioeventlet event loop can run
in an greenthread while the Python main thread runs other greenthreads in
parallel.

%prep
%setup -q -n aioeventlet-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README COPYING
%{python_sitelib}/*

%changelog
* Fri Aug  7 2015 dmueller@suse.com
- add COPYING to doc section
* Wed Jul 29 2015 tbechtold@suse.com
- Add missing Requires
* Sat May 16 2015 dmueller@suse.com
- Initial package
